Subject: Re: [bitcoin-dev] A Better MMR Definition

From: Bram Cohen <[email-masked]>
Date: Tue, 28 Feb 2017 17:47:30 -0800

On Tue, Feb 28, 2017 at 3:24 PM, Pieter Wuille <[email-masked]>
wrote:

>
> Yes, someone needs to have a lookup table from prevouts to TXO tree
> positions. But because an insertion-ordered TXO tree does not rebalance,
> that table can be maintained by wallets or service providers for just their
> own coins, instead of by every full node and miner individually for
> everyone's coins.
>

That falls apart if you want to support proofs of non-spend, which is the
point of the whole exercise